Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-03-10 02:49:37 +0000
committerDavid Williams2014-03-10 02:49:37 +0000
commitbd60e479bf51b6a05f49a45dc3bd82bd359cb63a (patch)
tree8a363fdb1d4fbdb2d460ce17ab6751472c85a1da /production/master-build.sh
parent9f2deb12595bf63cc0f5074b4c1064aba68b984e (diff)
downloadeclipse.platform.releng.aggregator-bd60e479bf51b6a05f49a45dc3bd82bd359cb63a.tar.gz
eclipse.platform.releng.aggregator-bd60e479bf51b6a05f49a45dc3bd82bd359cb63a.tar.xz
eclipse.platform.releng.aggregator-bd60e479bf51b6a05f49a45dc3bd82bd359cb63a.zip
[releng] misc. sycn with patch branch to carry improvements forward.
Diffstat (limited to 'production/master-build.sh')
-rw-r--r--production/master-build.sh32
1 files changed, 23 insertions, 9 deletions
diff --git a/production/master-build.sh b/production/master-build.sh
index a5487a33e..9d4dab393 100644
--- a/production/master-build.sh
+++ b/production/master-build.sh
@@ -42,6 +42,10 @@ if [[ "${BUILD_TYPE}" == "N" ]]
then
GIT_PUSH='echo no git push done since Nightly'
fi
+if [[ "${BUILD_TYPE}" =~ [XY] ]]
+then
+ GIT_PUSH='echo no git push done since Experimental build'
+fi
GIT_PUSH=${GIT_PUSH:-'git push'}
@@ -201,6 +205,8 @@ fn-write-property CBI_JDT_REPO_URL
fn-write-property CBI_JDT_REPO_URL_ARG
fn-write-property CBI_JDT_VERSION
fn-write-property CBI_JDT_VERSION_ARG
+fn-write-property PATCH_BUILD
+fn-write-property ALT_POM_FILE
# any value of interest/usefulness can be added to BUILD_ENV_FILE
if [[ "${testbuildonly}" == "true" ]]
then
@@ -317,9 +323,9 @@ else
fi
echo "# " >> ${buildDirectory}/directory.txt
- echo "# .../streams/repositories.txt" >> ${buildDirectory}/directory.txt
+ echo "# .../streams/repositories${PATCH_BUILD}.txt" >> ${buildDirectory}/directory.txt
echo "# " >> ${buildDirectory}/directory.txt
- cat $STREAMS_PATH/repositories.txt >> ${buildDirectory}/directory.txt
+ cat $STREAMS_PATH/repositories${PATCH_BUILD}.txt >> ${buildDirectory}/directory.txt
echo "# " >> ${buildDirectory}/directory.txt
@@ -383,15 +389,23 @@ else
echo "No repo published, since BUILD_FAILED"
fi
+#For now, only "publish equinox and promote" if I or M build, skip if P, X, or Y
-# We don't promote equinox if there was a build failure, and we should not even try to
-# create the site locally, because it depends heavily on having a valid repository to
-# work from.
-if [[ -z "${BUILD_FAILED}" ]]
+# TODO: probably never need to promote equinox, for patch build?
+# TODO: Unclear how/when to send mailing list notification for patch builds.
+
+if [[ $BUILD_TYPE =~ [IM] ]]
then
- $SCRIPT_PATH/publish-equinox.sh $BUILD_ENV_FILE >$logsDirectory/mb085_publish-equinox_output.txt
- checkForErrorExit $? "Error occurred during publish-equinox"
-fi
+
+ # We don't promote equinox if there was a build failure, and we should not even try to
+ # create the site locally, because it depends heavily on having a valid repository to
+ # work from.
+ if [[ -z "${BUILD_FAILED}" ]]
+ then
+ $SCRIPT_PATH/publish-equinox.sh $BUILD_ENV_FILE >$logsDirectory/mb085_publish-equinox_output.txt
+ checkForErrorExit $? "Error occurred during publish-equinox"
+ fi
+fi
# if all ended well, put "promotion scripts" in known locations
$SCRIPT_PATH/promote-build.sh $BUILD_KIND $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/mb090_promote-build_output.txt

Back to the top